## org.hibernate.cache
Class StandardQueryCacheFactory

    java.lang.Object
      org.hibernate.cache.StandardQueryCacheFactory

All Implemented Interfaces:
  QueryCacheFactory

    public class StandardQueryCacheFactory

extends Object
implements QueryCacheFactory

Standard Hibernate implementation of the QueryCacheFactory interface. Returns instances of `StandardQueryCache`.

Constructor Summary
`StandardQueryCacheFactory()`

Method Summary
`QueryCache` `getQueryCache(String regionName, UpdateTimestampsCache updateTimestampsCache, Settings settings, Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardQueryCacheFactory

    public StandardQueryCacheFactory()

Method Detail

### getQueryCache

    public QueryCache getQueryCache(String regionName,
                                    UpdateTimestampsCache updateTimestampsCache,
                                    Settings settings,
                                    Properties props)
                             throws HibernateException

  Specified by:
    `getQueryCache` in interface `QueryCacheFactory`
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.